Fork me on GitHub
代码改变世界

关于升级.NetCore3.1启动运行项目之后无法运行之前版本的错误解决方案

2019-12-05 14:49  沉睡的木木夕  阅读(951)  评论(0编辑  收藏  举报

昨天在跟上微软的进度,更新VS版本升级.netcore3.1 之后成功运行之后发现,我无法运行之前版本的问题
都是报这种问题:

还有打开解决方案所有的项目都无法正常加载,都是“已卸载”的状态,当你点击重新加载进来的时候,就会提示你

我不知道为什么升级3.1之后就会有这个问题,之前升级3.0是没有这个问题的,我个人觉得是微软的 bug

但是解决方案还是有的,就是在你的 sln 目录下添加 global.json 文件,里面指定运行的.netcore版本即可:

{ "sdk": { "version": "2.2.100" } }